Specifies the text code set

- « ImagickDraw::setTextDecoration

- ImagickDraw::setTextInterlineSpacing »

- PHP Manual
- ImagickDraw
- Specifies the text code set

# ImagickDraw::setTextEncoding

(PECL imagick 2, PECL imagick 3)

ImagickDraw::setTextEncoding — Specifies the text code set

### Description

public ImagickDraw::setTextEncoding(string `$encoding`): bool
Warning

This function is currently not documented; only its argument list is available.

Specifies the code set to use for text annotations. The only character encoding which may be specified at this time is "UTF-8" for representing Unicode as a sequence of bytes. Specify an empty string to set text encoding to the system's default. Successful text annotation using Unicode may require fonts designed to support Unicode.

### Parameters

`encoding`

  the encoding name

### Return Values

No value is returned.